#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <linux/module.h>
#include <syscall.h>

#include "modules.h"

static int delete_module(const char *);

int
main( int argc, char **argv) {
  if (delete_module( argv[ 1]) < 0) {
    perror( "delete_module");
    exit( 2);
  }
  exit( 0);
}

static int
delete_module(const char *name) {
  return syscall( SYS_DELETE_MODULE, name);
}

